# Uses of Class
javafx.scene.SnapshotParameters

Packages that use SnapshotParameters
Package
Description
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.

## Uses of SnapshotParameters in javafx.scene

Methods in javafx.scene that return SnapshotParameters
Modifier and Type
Method
Description
`SnapshotParameters`
SnapshotResult.`getSnapshotParameters()`
Gets a copy of the SnapshotParameters used to generate the snapshot.
Methods in javafx.scene with parameters of type SnapshotParameters
Modifier and Type
Method
Description
`WritableImage`
Node.`snapshot(SnapshotParameters params, WritableImage image)`
Takes a snapshot of this node and returns the rendered image when it is ready.
`void`
Node.`snapshot(Callback<SnapshotResult,Void> callback, SnapshotParameters params, WritableImage image)`
Takes a snapshot of this node at the next frame and calls the specified callback method when the image is ready.